<?php

namespace Litecms\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Plan\Models\Plan $plan)
    {
        return [
            'id'                => $plan->getRouteKey(),
            'key'               => [
                'public'    => $plan->getPublicKey(),
                'route'     => $plan->getRouteKey(),
            ], 
            'master_plan_id'    => $plan->master_plan_id,
            'title'             => $plan->title,
            'avatar'            => $plan->avatar,
            'power'             => $plan->power,
            'min_power'         => $plan->min_power,
            'power_unit'        => $plan->power_unit,
            'min_price'         => $plan->min_price,
            'price'             => $plan->price,
            'expiration_period' => $plan->expiration_period,
            'daily_profit'      => $plan->daily_profit,
            'has_bonus'         => $plan->has_bonus,
            'bonus_level_1'     => $plan->bonus_level_1,
            'bonus_level_2'     => $plan->bonus_level_2,
            'bonus_level_3'     => $plan->bonus_level_3,
            'bonus_level_4'     => $plan->bonus_level_4,
            'bonus_level_5'     => $plan->bonus_level_5,
            'bonus_level_6'     => $plan->bonus_level_6,
            'bonus_level_7'     => $plan->bonus_level_7,
            'bonus_level_8'     => $plan->bonus_level_8,
            'bonus_level_9'     => $plan->bonus_level_9,
            'bonus_level_10'    => $plan->bonus_level_10,
            'url'               => [
                'public'    => trans_url('plan/'.$plan->getPublicKey()),
                'user'      => guard_url('plan/plan/'.$plan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plan->status),
            'created_at'        => format_date($plan->created_at),
            'updated_at'        => format_date($plan->updated_at),
        ];
    }
}